#
# spec file for package xcompmgr
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xcompmgr
Version:        1.1.7
Release:        5.3
Summary:        Compositing manager for X servers
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkgconfig(xrender)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xcompmgr is a sample compositing manager for X servers supporting the
XFIXES, DAMAGE, RENDER, and COMPOSITE extensions. It enables basic
eye-candy effects.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xcompmgr
%{_mandir}/man1/xcompmgr.1%{?ext_man}

%changelog
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.1.7:
  * This is a minor bugfix and janitorial cleanup release.
* Sun Apr 15 2012 dimstar@opensuse.org
- Update to version 1.1.6:
  + Only define shape_kind() function if DEBUG_SHAPE is true
  + Make dpy a local variable instead of a global
  + Add xext to PKG_CHECK_MODULES for calls of shape ext. functions
    in libXext
  + Handle XShape window which shape change (fdo#20839)
  + Build system fixes.
- Add pkgconfig(xext) BuildRequires: new dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xcompmgr from xorg-x11. Initial version: 1.1.5.
